<?php
/*
	JoomlaXTC Countdown module

	version 1.0

	Copyright (C) 2009  Monev Software LLC.	All Rights Reserved.

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	THIS LICENSE MIGHT NOT APPLY TO OTHER FILES CONTAINED IN THE SAME PACKAGE.

	See COPYRIGHT.php for more information.
	See LICENSE.php for more information.

	Monev Software LLC
	www.joomlaxtc.com
*/

if (!defined('_JEXEC')) die('Direct Access to this location is not allowed.');
$live_site = JURI::base();

$width = $params->get('width');
$height = $params->get('height');
$bgcolor = $params->get('bgcolor');
$clickVolume = (int) $params->get('clickVolume',100) / 100;
$counterBackgroundColor = $params->get('counterBackgroundColor');
$counterHighlightColor = $params->get('counterHighlightColor');
$counterShadowsColor = $params->get('counterShadowsColor');
$counterTextColor = $params->get('counterTextColor');
$day = $params->get('day');
$finishCounterText = $params->get('finishCounterText');
$GMT = $params->get('GMT');
$grillColor = $params->get('grillColor');
$grillGradientColorBottom = $params->get('grillGradientColorBottom');
$grillGradientColorMiddle = $params->get('grillGradientColorMiddle');
$grillGradientColorTop = $params->get('grillGradientColorTop');
$hours = $params->get('hours');
$isCounterButton = $params->get('isCounterButton');
$labelBackgroundColor = $params->get('labelBackgroundColor');
$labelTextColor = $params->get('labelTextColor');
$minutes = $params->get('minutes');
$month = $params->get('month');
$seconds = $params->get('seconds');
$target = $params->get('target');
$transitionTime = $params->get('transitionTime');
$transitionType = $params->get('transitionType');
$URL = urlencode($params->get('URL'));
$year = $params->get('year');
$image = $params->get('image'); if ($image == '-1') $image = '';
$template = $params->get('template','{image}<br/>{clock}');

$jxtc = uniqid('jxtc');

$script = 'var '.$jxtc.'params = {bgcolor:"#'.$counterBackgroundColor.'",allowfullscreen:"true",scale:"exactFit",salign:"TL",wmode:"transparent"};
	var '.$jxtc.'flashvars = {
		stageW:"'.$width.'",
		stageH:"'.$height.'",
		acdTo:"year='.$year.' | month='.$month.' | day='.$day.' | hours='.$hours.' | minutes='.$minutes.' | seconds='.$seconds.' | GMT='.$GMT.' ",
		acdSettings:"counterBackgroundColor=0x'.$counterBackgroundColor.' | labelBackgroundColor=0x'.$labelBackgroundColor.' | labelTextColor=0x'.$labelTextColor.' | counterShadowsColor=0x'.$counterShadowsColor.' | counterHighlightColor=0x'.$counterHighlightColor.' | grillColor=0x'.$grillColor.' | grillGradientColorTop=0x'.$grillGradientColorTop.' | grillGradientColorMiddle=0x'.$grillGradientColorMiddle.' | grillGradientColorBottom=0x'.$grillGradientColorBottom.' | counterTextColor=0x'.$counterTextColor.' | transitionType='.$transitionType.' | transitionTime='.$transitionTime.' | isCounterButton='.$isCounterButton.' | finishCounterText='.$finishCounterText.' | URL='.$URL.' | target='.$target.' | clickVolume='.$clickVolume.' "};
		swfobject.embedSWF("'.$live_site.'modules/mod_jxtc_countdown/countdown.swf", "'.$jxtc.'", '.$width.', '.$height.', "9.0.124", null, '.$jxtc.'flashvars, '.$jxtc.'params);';
$doc =&JFactory::getDocument();
$doc->addScript($live_site.'modules/mod_jxtc_countdown/jxtcswfobject.js');
$doc->addScriptDeclaration($script);


$player = '<div id="'.$jxtc.'"><p><a href="http://www.adobe.com/go/getflashplayer"><img src="http://www.adobe.com/images/shared/download_buttons/get_flash_player.gif" alt="Get Adobe Flash player" /></a></p></div>';
$image = empty($image) ? '' : '<img src="'.$live_site.'images/'.$image.'" />';
$template = str_replace( '{clock}', $player, $template );
$template = str_replace( '{image}', $image, $template );

$contentconfig = &JComponentHelper::getParams( 'com_content' );

JPluginHelper::importPlugin('content');
$dispatcher =& JDispatcher::getInstance();
$item = new stdClass();
$item->text = $template;
$results = $dispatcher->trigger('onPrepareContent', array (&$item, &$contentconfig, 0 ));
$template = $item->text;

echo $template;
?>
<div style="display:none"><a href="http://www.joomlaxtc.com">JoomlaXTC Countdown - Copyright 2009, 2010 Monev Software LLC</a></div>
