<?php
/*
	JoomlaXTC Countdown Plugin

	version 1.0
	
	Copyright (C) 2009  Monev Software LLC.	All Rights Reserved.
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
	
	THIS LICENSE MIGHT NOT APPLY TO OTHER FILES CONTAINED IN THE SAME PACKAGE.
	
	See COPYRIGHT.php for more information.
	See LICENSE.php for more information.
	
	Monev Software LLC
	www.joomlaxtc.com
*/

defined('_JEXEC') or die;

jimport('joomla.plugin.plugin');

class plgContentplugin_jxtc_countdown extends JPlugin {
	
	public function onContentPrepare($context, &$row, &$params, $limitstart){
        $app = JFactory::getApplication();

		$boole=array('false','true');
		$live_site = JURI::base();

		$width = $this->params->get('width');
		$height = $this->params->get('height');
		$bgcolor = $this->params->get('bgcolor');
		$GMT = $this->params->get('GMT');
		$counterBackgroundColor = $this->params->get('counterBackgroundColor');
		$labelBackgroundColor = $this->params->get('labelBackgroundColor');
		$labelTextColor = $this->params->get('labelTextColor');
		$counterShadowsColor = $this->params->get('counterShadowsColor');
		$counterHighlightColor = $this->params->get('counterHighlightColor');
		$grillColor = $this->params->get('grillColor');
		$grillGradientColorTop = $this->params->get('grillGradientColorTop');
		$grillGradientColorMiddle = $this->params->get('grillGradientColorMiddle');
		$grillGradientColorBottom = $this->params->get('grillGradientColorBottom');
		$counterTextColor = $this->params->get('counterTextColor');
		$transitionType = $this->params->get('transitionType');
		$transitionTime = $this->params->get('transitionTime');
		$isCounterButton = 1;
		$target = $this->params->get('target');
		$clickVolume = (int) $this->params->get('clickVolume',100) / 100;
		$image = $this->params->get('image'); if ($image == '-1') $image = '';
		$template = $this->params->get('template','{image}<br/>{clock}');

		$URL = urlencode($this->params->get('URL'));

		while (($ini = strpos(strtolower($row->text),"{countdown")) !== false) {
			$fin = strpos(strtolower($row->text),"{/countdown}",$ini);
			$text = substr($row->text,$ini+10,$fin-$ini-10);
			$split = strrpos($text,"}");
			$parms= trim(substr($text,0,$split));
			$link = trim(substr($text,$split+1));
			list($date,$time,$text) = explode(' ',$parms);
			list($year,$month,$day) = explode('/',trim($date));
			list($hh,$mm,$ss) = explode(':',trim($time));
                        $finishCounterText = $text;
			$jxtc=uniqid('jxtc');

			$script = 'var '.$jxtc.'params = {bgcolor:"#'.$counterBackgroundColor.'",allowfullscreen:"true",scale:"exactFit",salign:"TL",wmode:"transparent"};
				var '.$jxtc.'flashvars = {
					stageW:"'.$width.'",
					stageH:"'.$height.'",
					acdTo:"year='.$year.' | month='.$month.' | day='.$day.' | hours='.$hh.' | minutes='.$mm.' | seconds='.$ss.' | GMT='.$GMT.' ",
					acdSettings:"counterBackgroundColor=0x'.$counterBackgroundColor.' | labelBackgroundColor=0x'.$labelBackgroundColor.' | labelTextColor=0x'.$labelTextColor.' | counterShadowsColor=0x'.$counterShadowsColor.' | counterHighlightColor=0x'.$counterHighlightColor.' | grillColor=0x'.$grillColor.' | grillGradientColorTop=0x'.$grillGradientColorTop.' | grillGradientColorMiddle=0x'.$grillGradientColorMiddle.' | grillGradientColorBottom=0x'.$grillGradientColorBottom.' | counterTextColor=0x'.$counterTextColor.' | transitionType='.$transitionType.' | transitionTime='.$transitionTime.' | isCounterButton='.$isCounterButton.' | finishCounterText='.$finishCounterText.' | URL='.$URL.' | target='.$target.' | clickVolume='.$clickVolume.' "};
					swfobject.embedSWF("'.$live_site.'plugins/content/plugin_jxtc_countdown/countdown.swf", "'.$jxtc.'", '.$width.', '.$height.', "9.0.124", null, '.$jxtc.'flashvars, '.$jxtc.'params);';
			$doc =&JFactory::getDocument();
			$doc->addScript($live_site.'plugins/content/plugin_jxtc_countdown/jxtcswfobject.js');
			$doc->addScriptDeclaration($script);
			
			$player = '<div id="'.$jxtc.'"><p><a href="http://www.adobe.com/go/getflashplayer"><img src="http://www.adobe.com/images/shared/download_buttons/get_flash_player.gif" alt="Get Adobe Flash player" /></a></p></div>';
			$image = empty($image) ? '' : '<img src="'.$live_site.'images/'.$image.'" />';
			$template = str_replace( '{clock}', $player, $template );
			$template = str_replace( '{image}', $image, $template );

			$row->text = substr_replace($row->text,$template,$ini,$fin+12-$ini);
		}
	}
}
?>